Skip to main content
POST
https://api.aisa.one/apis/v1
/
apollo
/
accounts
/
bulk_update
Bulk Update Accounts
curl --request POST \
  --url https://api.aisa.one/apis/v1/apollo/accounts/bulk_update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "account_ids": "<string>",
  "account_attributes": "<string>",
  "account_attributes[].name": "<string>",
  "account_attributes[].owner_id": "<string>",
  "account_attributes[].account_stage_id": "<string>",
  "async": true
}
'
import requests

url = "https://api.aisa.one/apis/v1/apollo/accounts/bulk_update"

payload = {
"account_ids": "<string>",
"account_attributes": "<string>",
"account_attributes[].name": "<string>",
"account_attributes[].owner_id": "<string>",
"account_attributes[].account_stage_id": "<string>",
"async": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_ids: '<string>',
account_attributes: '<string>',
'account_attributes[].name': '<string>',
'account_attributes[].owner_id': '<string>',
'account_attributes[].account_stage_id': '<string>',
async: true
})
};

fetch('https://api.aisa.one/apis/v1/apollo/accounts/bulk_update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "accounts": "<string>",
  "accounts[].id": "<string>",
  "accounts[].account_stage_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
account_ids
string
required

IDs of accounts to update

account_attributes
string
required

List of account attribute update objects

account_attributes[].name
string

Account name

account_attributes[].owner_id
string

Owner ID

account_attributes[].account_stage_id
string

Account stage ID

async
boolean

Run asynchronously. Default false.

Response

Successful response

accounts
string

Updated accounts

accounts[].id
string

Account ID

accounts[].account_stage_id
string

Account stage ID